package intrinsic.mx.utils;

public class HexEncoder extends Object {

	/** Accessors */

	/** Variables */
	public String encodingStyle;

	/** Constants */
	public static final String LOWER_CASE = "lower_case";
	public static final String UPPER_CASE = "upper_case";

	/** Class Accessors */

	/** Class variables */
//	public static String encodingStyle;

/** Contructors */
public HexEncoder() {
}


/** Static Methods */

/** Methods */
public native String flush();
public native void encode(intrinsic.flash.utils.ByteArray arg0);
public native void encode(intrinsic.flash.utils.ByteArray arg0, int arg1);
public native void encode(intrinsic.flash.utils.ByteArray arg0, int arg1, int arg2);
public native String drain();

}
